Bug 139891 - yum fails to check for updates and do update
yum fails to check for updates and do update
Status: CLOSED DUPLICATE of bug 138535
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 12:24 EST by Faisal Mehmood
Modified: 2014-01-21 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:07:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Faisal Mehmood 2004-11-18 12:24:56 EST
Description of problem: 
i upgraded FC3 after a fresh install and now yum has got problem. 
whenever i try to do a yum check-update or yum update, it would do a 
traceback and spits out errors mostly indicating python in them. i'm 
copying the error message below. 
Version-Release number of selected component (if applicable): 
yum 2.1.11 
 
=========================== error message ========================= 
root@fedo ~]# yum check-update 
Traceback (most recent call last): 
  File "/usr/bin/yum", line 8, in ? 
    yummain.main(sys.argv[1:]) 
  File "/usr/share/yum-cli/yummain.py", line 51, in main 
    base.getOptionsConfig(args) 
  File "/usr/share/yum-cli/cli.py", line 133, in getOptionsConfig 
    self.conf = yumconf(configfile = yumconffile, root=root) 
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 227, in 
__init__ 
    self._doFileRepo(fn) 
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 299, in 
_doFileRep 
o 
    doRepoSection(self, repoconf, section) 
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 313, in 
doRepoSect 
ion 
    mirrorurls = getMirrorList(mirrorlist) 
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 390, in 
getMirrorL 
ist 
    fo = urlresolver.urlopen(url) 
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 
427, in ur 
lopen 
    return default_grabber.urlopen(url, **kwargs) 
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 
555, in urlopen 
    return self._retry(opts, retryfunc, url) 
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 
527, in _retry 
    return apply(func, (opts,) + args, {}) 
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 
554, in retryfunc 
    return URLGrabberFileObject(url, filename=None, opts=opts) 
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 
703, in __init__ 
    self._do_open() 
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 
747, in _do_open 
    fo, hdr = self._make_request(req, opener) 
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 
823, in _make_request 
    fo = opener.open(req) 
  File "/usr/lib/python2.4/urllib2.py", line 364, in open 
    response = meth(req, response) 
  File "/usr/lib/python2.4/urllib2.py", line 468, in http_response 
    code, msg, hdrs = response.code, response.msg, response.info() 
AttributeError: HTTPResponse instance has no attribute 'code' 
 
====================== end of error message ======================== 
 
 
How reproducible: 
Fully 
 
Steps to Reproduce: 
1. yum check-update  OR  yum update 
2. 
3. 
   
Actual results: 
fails to check for updates and keep my system upto date. 
 
Expected results: 
should check for package updates and keep my system updated. 
 
Additional info:
Comment 1 Josh Bressers 2004-11-18 14:20:50 EST
Removing security severity.  This is not a security issue.
Comment 2 Seth Vidal 2004-11-18 18:33:00 EST
Not only is not a security bug but it's also a duplicate and it's not
even a yum bug. :)

closing.

*** This bug has been marked as a duplicate of 138535 ***
Comment 3 Faisal Mehmood 2004-11-19 05:49:59 EST
i'm not a programmer or expert in linux, so i reported the application which gave me 
the trouble. 
second off, i don't know how to apply the patch given in the bug#138535 . because: 
1. i don't what i have to do with that patch-code: do i have to save it in some file 
and with what extension? 
2. against what library/package (i guess /usr/lib/python2 , but not sure) i have to 
apply the patch and how? 
 
 
Comment 4 Faisal Mehmood 2004-11-19 07:29:35 EST
i'm not a programmer or expert in linux, so i reported the application which gave me 
the trouble. 
second off, i don't know how to apply the patch given in the bug#138535 . because: 
1. i don't what i have to do with that patch-code: do i have to save it in some file 
and with what extension? 
2. against what library/package (i guess /usr/lib/python2 , but not sure) i have to 
apply the patch and how? 
 
 
Comment 5 Seth Vidal 2004-11-19 09:09:39 EST
If you're not a very versed in linux then maybe you shouldn't be using
rawhide/development right now. It might be a good idea for you to
install your system back to fc3 and wait for fc4test1 to start testing
again.
Comment 6 Faisal Mehmood 2004-11-19 10:41:04 EST
:-) but that still didn't answer my question about patching. 
i've been using Fedora since Core 1 and keeping it to unstable/development all the 
way through. so i'm not giving up coz somebody doesn't answer my question. i will 
find the answer sooner or later, from some source, but you're not encouraging in any 
way. 
 
Comment 7 Seth Vidal 2004-11-19 10:42:50 EST
The bug you're seeing is in python. And applying that patch doesn't
entirely fix the problem.

I'm not trying to be discouraged but in short the answer is:
rawhide breaks

revert out manually.
Comment 8 Faisal Mehmood 2004-11-19 22:48:57 EST
that's ok. and thanks btw :-) 
Comment 9 Red Hat Bugzilla 2006-02-21 14:07:07 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.